package ovh.herisson.Clyde.Services;

import org.springframework.stereotype.Service;
import ovh.herisson.Clyde.Repositories.InscriptionRepository;
import ovh.herisson.Clyde.Tables.InscriptionRequest;

import java.util.HashMap;
import java.util.Map;

@Service
public class InscriptionService {

    InscriptionRepository incriptionRepo;
    public void save(InscriptionRequest inscriptionRequest){
        incriptionRepo.save(inscriptionRequest);
    }

    public InscriptionService(InscriptionRepository inscriptionRepo){
        this.incriptionRepo = inscriptionRepo;
    }

    public InscriptionRequest getById(long id){
        InscriptionRequest inscriptionRequest = incriptionRepo.findById(id);

        if (inscriptionRequest == null){
            return null;
        }
        return inscriptionRequest;
    }

    public Iterable<InscriptionRequest> getAll(){
        return incriptionRepo.findAll();
    }
}